import DefaultTheme from 'vitepress/theme'
import mermaid from 'mermaid'

export default {
  ...DefaultTheme,
  enhanceApp() {
    if (typeof window !== 'undefined') {
      mermaid.initialize({ startOnLoad: true })
    }
  }
}